#version 300 es

in highp vec2 v_TextureCoordinate;

layout(location = 1) uniform sampler2D u_Texture;

out vec4 fragmentColor;

void main() {
  highp vec4 color = texture(u_Texture, v_TexCoordinate);
  if (!all(lessThan(color.rgb, vec3(0.5)))) discard;
  fragmentColor = color;
}